const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['WebTrafficMonitorPolicy']
const formValues = ['UseUrlRules', 'UseCertificates', 'UrlRules', 'CertificateSearchPatterns']

function toView (policiesCache) {
    return hlp.customToView(policiesCache.WebTrafficMonitorPolicy.Policy.KLPRSS_Val, formValues)
}

function toRaw (changedData, policiesCache) {
    Object.assign( policiesCache.WebTrafficMonitorPolicy.Policy.KLPRSS_Val, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
