const enums = require('../../types')
const utils = require('../../utils')

function toViewMitigationTechnics(data) {
    data.MitigationTechnics.KLPRSS_Val[0].forEach(function(item) {
        item.Mode = item.Mask.KLPRSS_Val === 65535 ? 0 : 1
        item.ApplyAsrt = item.Mask.KLPRSS_Val & 0x00002000 ? true : false
    });
    return data;
}

function toRowMitigationTechnics(changedData) {
    changedData.MitigationTechnics.KLPRSS_Val[0].forEach(function(item) {
        if(item.Mode === 0 )
            item.Mask.KLPRSS_Val = 65535
        else{
            if(item.ApplyAsrt === true )
                item.Mask.KLPRSS_Val |= 0x00002000
            else
                item.Mask.KLPRSS_Val &= ~0x00002000
        }
        delete item.Mode
        delete item.ApplyAsrt
    });
    return changedData;
}

module.exports = {
    toViewMitigationTechnics,
    toRowMitigationTechnics
}