const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['ApplicationControlPolicy']
const formValues = ['RuleUsageStrategy']

function toView (policiesCache) {
    let data = hlp.customToView(policiesCache.ApplicationControlPolicy.Policy.KLPRSS_Val, formValues)
//    data.AllowedUsers = []
//    for(let user of data.AllowUserOrGroups.KLPRSS_Val[0]){
//        data.AllowedUsers.push({"User":user})
//    }
    return data
}

function toRaw (changedData, policiesCache) {
    Object.assign( policiesCache.ApplicationControlPolicy.KLPRSS_Val, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
