const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['NetAppAntiCryptor']
const formValues = ['cDOTIpAddress','VserverName','FpolicyName','FPolicyServerPort','cDOTNodesList']

function toView (policiesCache) {
    let data = hlp.customToView(policiesCache.NetAppAntiCryptor.Policy.KLPRSS_Val, formValues)
    data.cDOTNodes = []
    for(let node of data.cDOTNodesList.KLPRSS_Val[0]){
        data.cDOTNodes.push({"Name":node})
    }

    return data
}

function toRaw (changedData, policiesCache) {
    Object.assign( policiesCache.NetAppAntiCryptor.KLPRSS_Val, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
