const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['NetAppAntiCryptor']
const formValues = ['UseExcludes','ExcludeRules']

function toView (policiesCache) {
    return hlp.customToView(policiesCache.NetAppAntiCryptor.Policy.KLPRSS_Val, formValues)
}

function toRaw (changedData, policiesCache) {
    Object.assign( policiesCache.NetAppAntiCryptor.KLPRSS_Val, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
