const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['ICAPScannerPolicy']
const formValues = ['ServerPort','RespModeUri','UseHeuristicAnalyzer','HeuristicAnalyzerLevel', 'UseKsn']

function toView (policiesCache) {
    return hlp.customToView(policiesCache.ICAPScannerPolicy.Policy.KLPRSS_Val, formValues)
}

function toRaw (changedData, policiesCache) {
    Object.assign( policiesCache.ICAPScannerPolicy.KLPRSS_Val, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
