const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['AntiCryptorPolicy']
const formValues = ['EnforcementMode','UseHeuristicLevel','HeuristicLevel']

function toView (policiesCache) {
    return hlp.customToView(policiesCache.AntiCryptorPolicy.Policy.KLPRSS_Val, formValues)
}

function toRaw (changedData, policiesCache) {
    Object.assign( policiesCache.AntiCryptorPolicy.KLPRSS_Val, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
