const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['OasPolicy']
const formValues = ['ScanByAccessType',
                    'UseHeuristicAnalyzer',
                    'HeuristicAnalyzerLevel',
                    'UseTrustedZoneSettings',
                    'UseKsn',
                    'UseHostBlocker']

function toView (policiesCache) {
    return hlp.customToView(policiesCache.OasPolicy.Policy.KLPRSS_Val, formValues)
}

function toRaw (changedData, policiesCache) {
    Object.assign( policiesCache.OasPolicy.Policy.KLPRSS_Val, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
