const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['BLPolicy']
const formValues = ['BasesOutdateThresholdWarning','BasesOutdateThresholdCritical','CriticalAreasScanOutdateThreshold']

function toView (policiesCache) {
    return hlp.customToView(policiesCache.BLPolicy.Policy.KLPRSS_Val, formValues)
}

function toRaw (changedData, policiesCache) {
    Object.assign(policiesCache.BLPolicy.Policy.KLPRSS_Val, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
