const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['BLSettings']
const formValues = ['UseAutoScalability','ScalabilityProcessCount','ScalabilityProcessCountUsedByRtp', 'ScalabilityLowPriorityProcessCount']

function toView (settCache, activePolicyCache) {
    let data = {
        Scalability: hlp.localSettingsToView(settCache.BLSettings,activePolicyCache.BLSettings,formValues),
        Tray: hlp.GetMergedLocalSettingsKey(settCache.BLSettings,activePolicyCache.BLSettings,'AutoStartTrayIconApplication'),
        LocalSettings:true
    }
    return data
}

function toRaw (changedData, settCache) {
    hlp.ItemToLocalSettings(changedData.Scalability);
    Object.assign(settCache.BLSettings, lo.pick(changedData.Scalability, formValues))
    settCache.BLSettings.AutoStartTrayIconApplication = changedData.Tray.KLPRSS_Val[0]
}

module.exports = {
    sections,
    toView,
    toRaw
};
